TypeError: QgsCoordinateTransform(): arguments did not match any overloaded call

2018-01-10 01:03 PM - Hannes Kohlmann

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Win7 Prof SP1 64 bit, IntelCore i5-3470 CPU @ 3.20GHz, 6 GB RAMEasy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 25728

Description

When doing the following commands in the console, my collegue gets the error message below. On my PC, this doesn't happen.

I provide the operating system data of my collegue's PC. Is this a bug? I found something similar, but not 100% the same:

#17600

crsGlobal = QgsCoordinateReferenceSystem(iface.mapCanvas().mapSettings().destinationCrs().postgisSrid())

crsLongLat = QgsCoordinateReferenceSystem(4326)

toGlobal = QgsCoordinateTransform(crsLongLat,crsGlobal)

Traceback (most recent call last):

  File "C:\PROGRA~1\QGIS2~1.99\apps\Python36\lib\code.py", line 91, in runcode

    exec(code, self.locals)

  File "<input>", line 1, in <module>

TypeError: QgsCoordinateTransform(): arguments did not match any overloaded call:

  overload 1: too many arguments

  overload 2: not enough arguments

  overload 3: not enough arguments

  overload 4: not enough arguments

  overload 5: argument 1 has unexpected type 'QgsCoordinateReferenceSystem'

_____________________________

System information:

QGIS-Version

2.99.0-Master (Weekly build, 02)

QGIS-Codeversion

commit:aef9df8d5e

Kompiliert gegen Qt

5.9.2

Runnging Qt

5.9.2

Compiled with GDAL/OGR

2.2.3

Runs with GDAL/OGR
2.2.3

Compiled with GEOS

3.5.0-CAPI-1.9.0

Runs with GEOS

3.5.0-CAPI-1.9.0 r4084

PostgreSQL-Client-Version

9.2.4

SpatiaLite-Version

4.3.0

QWT-Version

6.1.3

PROJ.4-Version

493

QScintilla2-Version

2.10.1

IntelCore i5-3470 CPU @ 3.20GHz, 6 GB RAM, Win7 Prof SP1 64 bit

Thanks a lot!

Best regards,

Hannes

History

#1 - 2018-01-10 07:22 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed

The signature of this method changed recently. Check the API breaks doc for info.

#2 - 2018-01-12 08:40 AM - Jürgen Fischer

- Description updated

#3 - 2018-03-12 08:46 PM - Jürgen Fischer

- Description updated

#4 - 2018-03-12 08:47 PM - Jürgen Fischer

- Description updated
